import * as actions from "../../../constants";

const initialState = {
    isFetching: false,
    payload: null,
    error: null
}

export default function(state = initialState, {type, payload, error}) {
    switch (type) {
        case actions.LOG_IN_REQUEST: {
            return {
                ...state,
                isFetching: true
            }
        }
        case actions.LOG_IN_REQUEST_SUCCESS: {
            return {
                ...state,
                payload,
                isFetching: false
            }
        }
        case actions.LOG_IN_REQUEST_FAILURE: {
            return {
                ...state,
                error,
                isFetching: false
            }
        }
        default: {
            return state
        }
    }
}